﻿using Arction.Wpf.SemibindableCharting.SeriesXY;
using Arction.Wpf.SemibindableCharting.Views.ViewXY;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace LChartBandErrorTest
{
    class MyUserControlViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged([CallerMemberName]string propertyName = null)
            => PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));

        private double _CursorXValue = 5;
        public double CursorXValue
        {
            get => _CursorXValue;
            set
            {
                _CursorXValue = value;
                NotifyPropertyChanged();
            }
        }

        public BandCollection Bands { get; set; } = new BandCollection
        {
            new Band(),
        };
    }
}
