﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LChartBandErrorTest
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ReSetUserControl();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ReSetUserControl();
        }

        private void ReSetUserControl()
        {
            container.Children.Clear();

            var uc = new MyUserControl
            {
                DataContext = (this.DataContext as MainWindowViewModel).UserVM,
            };
            container.Children.Add(uc);
        }
    }
}
